<?php

/**
 * JComments plugin for Yendif Video Share support
 * @version		$Id: com_yendifvideoshare.plugin.php 1.1.0 11-09-2014 $
 * @package		Yendif Video Share
 * @copyright   Copyright (C) 2014-2016 Yendif Technologies (P) Ltd
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
**/


defined('_JEXEC') or die;

class jc_com_yendifvideoshare extends JCommentsPlugin {
	
	function getObjectInfo($id, $language = null) {
		$db = JFactory::getDBO();
		$db->setQuery("SELECT id, title, alias, userid, catid FROM #__yendifvideoshare_videos WHERE id = " . $id);
		$row = $db->loadObject();

		$info = new JCommentsObjectInfo();

		if (!empty($row)) {
			$slug = $row->alias ? ($row->id . ':' . $row->alias) : $row->id;

			$Itemid = self::getItemid('com_yendifvideoshare');
			$Itemid = $Itemid > 0 ? '&amp;Itemid='.$Itemid : '';

			$info->category_id = $row->catid;
			$info->title = $row->title;
			$info->userid = $row->userid;
			$info->link = JRoute::_('index.php?option=com_yendifvideoshare&view=video&id='.$slug.$Itemid);
		}		
		return $info;
	}
}